.hc-navbar {
  --navbarHeight: 168px;
  --menuSideGap: 35px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--navbarHeight);
  z-index: 1000;
  pointer-events: none;
}

.hc-navbar-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: auto;
  will-change: transform;
}

.hc-logo {
  position: absolute;
  top: 65px;
  left: 0;
  width: 303px;
}

.hc-logo img {
  width: 100%;
}

.hc-navbar-background {
  position: absolute;
  left: calc(-1 * var(--menuSideGap));
  top: var(--menuSideGap);
  width: calc(100% + 2 * var(--menuSideGap));
  height: calc(100% - var(--menuSideGap));
  background-color: var(--backgroundColor);
}

.menu-main-menu-container {
  position: absolute;
  top: var(--menuSideGap);
  width: 100%;
  height: calc(100% - var(--menuSideGap));
  color: var(--fontColor);
}

#menu-main-menu {
  margin: 0 !important;
  display: flex;
  gap: 10px;
  align-items: center;
  justify-content: flex-end;
  height: 100%;
  transform-origin: 100% 50%;
}

@media only screen and (max-width: 1400px) {
  #menu-main-menu {
    transform: scale(0.8);
  }
}

@media only screen and (max-width: 1120px) {
  #menu-main-menu {
    display: none;
  }

  .hc-navbar {
    --navbarHeight: 128px;
  }

  .hc-logo {
    top: 27px;
  }

  .hc-navbar-background {
    width: calc(100% + 2 * var(--sidePadding));
    height: calc(100% + 100vh);
    left: calc(-1 * var(--sidePadding));
    top: -100vh;
  }
}

@media only screen and (max-width: 992px) {
  .hc-navbar {
    --navbarHeight: 84px;
  }

  .hc-logo {
    width: 180px;
    top: 21px;
  }
}

li {
  margin: 0;
  padding: 0;
  outline: 0;
  border: none;
  text-decoration: none;
  background: none;
  color: inherit;
  font: inherit;
  box-shadow: none;
  display: block;
}

li a,
li a:visited {
  box-sizing: content-box;
  text-decoration: none;
  color: inherit;
}

#menu-main-menu li>a>div {
  padding: 4px 20px;
  border-radius: 20px;
  border: 1px solid transparent;
  transition: border 0.4s ease-in-out;
  cursor: pointer;
  line-height: 1.5;
}

#menu-main-menu li:hover>a>div {
  border: 1px solid var(--fontColor);
}

#menu-main-menu li.hc-language:hover>a>div {
  border: 1px solid transparent;
}

#menu-main-menu li.hc-language {
  display: flex;
  justify-content: center;
  margin-left: 14px;
}

#menu-main-menu li.current_page_item>a>div {
  border-color: var(--fontColor);
}

/* Mobile menu graphics */

.hc-mobile-menu-button {
  --barWidth: 27px;
    display: block;
    position: absolute;
    width: var(--barWidth);
    height: var(--barWidth);
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    visibility: hidden;
    pointer-events: none;
    cursor: pointer;
}

@media only screen and (max-width: 1120px) {
  .hc-mobile-menu-button {
    visibility: visible;
    pointer-events: auto;
  }
}

@media only screen and (max-width: 992px) {
  .hc-mobile-menu-button {
    /* transform: scale(0.8); */
  }
}

.hc-mobile-menu-bar {
  position: absolute;
  background: var(--midGreen);
  transform: translate(-50%, -50%);
  will-change: width, transform;
}

/* Mobile menu panel */

.hc-mobile-menu {
  width: 100vw;
  height: 0;
  will-change: height;
  transition: height 0.4s cubic-bezier(.63, 0, .81, .99);
  overflow: hidden;
}

.hc-mobile-menu.hc-open {
  height: calc(100vh - var(--navbarHeight));
}

#menu-mobile-menu {
  margin: 50px 0 0 !important;
  padding: 0;
  will-change: transform;
  transform: translateY(-200px);
  transition: transform 0.6s cubic-bezier(.63, 0, 1, .64);
}

.hc-mobile-menu.hc-open #menu-mobile-menu {
  transform: translateY(0px);
  transition: transform 0.8s cubic-bezier(0,.2,.06,.99);
}

.hc-mobile-menu-panel {
  position: relative;
  width: 100vw;
  height: calc(100vh - var(--navbarHeight));
  background-color: var(--backgroundColor);
  overflow: hidden;
}

.hc-mobile-menu-item {
  --buttonColor: var(--midGreen);
  font-family: "KaioLight";
  font-size: 60px;
  color: var(--buttonColor);
  height: 84px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  cursor: pointer;
  white-space: nowrap;
}

.hc-mobile-menu-item.current_page_item {
  font-family: "KaioMedium";
}

.hc-mobile-menu-arrow {
  margin-left: 20px;
  will-change: margin;
  transition: margin 0.3s ease-out;
}

.hc-mobile-menu-item:hover .hc-mobile-menu-arrow {
  margin-left: 34px;
}

.hc-mobile-menu-background {
  position: absolute;
  width: min(90vw, 790px);
  bottom: 0;
  left: calc(50% + 26px);
  transform: translateX(-50%);
}

@media only screen and (max-width: 840px) {
  .hc-mobile-menu-item {
    font-size: 32px;
    height: 48px;
  }
  .hc-mobile-menu-arrow svg {
    width: 20px;
  }
  .hc-mobile-menu-item .hc-mobile-menu-arrow {
    margin-left: 11px;
    width: 20px;
  }
  .hc-mobile-menu-item:hover .hc-mobile-menu-arrow {
    margin-left: 22px;
  }
  #menu-mobile-menu {
    margin: 40px 0 0 !important;
  }
  .hc-mobile-menu-background {
    left: 50%;
  }
}

@media only screen and (max-width: 440px) {
  .hc-mobile-menu-item {
    font-size: 24px;
    height: 40px;
  }
  
}